Subject: bug#76891: GNOME session fails to start with uk_UA.utf8 system locale

From: Roman Riabenko <[email-masked]>
Date: Sun, 16 Mar 2025 12:48:05 +0200

I tried installing the latest Guix System in a virtual machine in GNOME
Boxes. I can select Ukrainian during installation, which changes the
language to Ukrainian and results in uk_UA.utf8 locale in the
configuration file. The installation goes and completes as expected. I
can reboot into the newly installed system. However, after entering the
user password in GDM, the progress wheel to the right of the password
field spins indefinitely.

I used this installation image:
https://ci.guix.gnu.org/build/9583805/details

Roman